<?php

class MessageNotifierLoggerEntity implements MessageNotifierLoggerInterface {
  public function __construct($plugin, MessageNotifierInterface $notifier) {
    $this->plugin = $plugin;
    $this->notifier = $notifier;
  }

  public function log($result, $message) {
    $logging_details = array(
      'type' => $message->type,
      'message_id' => $message->original->mid,
      'result' => (bool)$result,
      'uid' => $message->uid,
      // We explicitly use time() because REQUEST_TIME might be out of date.
      'timestamp' => time(),
    );
    $log = entity_create('message_notify_log', $logging_details);
    $log->save();
  }
}
